ברוכים הבאים לטאפו!

QR-коды

GET https://tapo.cc/api/qr-codes/
curl --request GET \
--url 'https://tapo.cc/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
Параметры Подробности Описание
page Дополнительно Целое число Номер страницы, с которой вы хотите получить результаты. По умолчанию 1.
results_per_page Дополнительно Целое число Сколько результатов вы хотите на странице. Допустимые значения: 10 , 25 , 50 , 100 , 250 , 500 , 1000. По умолчанию: 25.
{ "data": [ { "id": 1, "type": "url", "name": "Example name", "qr_code": "https://tapo.cc/uploads/qr_code/example.svg", "qr_code_logo": null, "settings": { "foreground_type": "color", "foreground_color": "#000000", "background_color": "#ffffff", "custom_eyes_color": false, "qr_code_logo_size": 25, "size": 500, "margin": 0, "ecc": "L", "url": "https://example.com" }, "last_datetime": "2021-10-31 09:47:25", "datetime": "2021-10-29 16:32:25" }, ], "meta": { "page": 1, "results_per_page": 25, "total": 1, "total_pages": 1 }, "links": { "first": "https://tapo.cc/api/qr-codes?&page=1", "last": "https://tapo.cc/api/qr-codes?&page=1", "next": null, "prev": null, "self": "https://tapo.cc/api/qr-codes?&page=1" } }
GET https://tapo.cc/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://tapo.cc/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{ "data": { "id": 1, "type": "url", "name": "Example name", "qr_code": "https://tapo.cc/uploads/qr_code/example.svg", "qr_code_logo": null, "settings": { "foreground_type": "color", "foreground_color": "#000000", "background_color": "#ffffff", "custom_eyes_color": false, "qr_code_logo_size": 25, "size": 500, "margin": 0, "ecc": "L", "url": "https://example.com" }, "last_datetime": "2021-10-31 09:47:25", "datetime": "2021-10-29 16:32:25" } }
POST https://tapo.cc/api/qr-codes
Параметры Подробности Описание
project_id Дополнительно Целое число -
name Требуется Строка -
type Требуется Строка Допустимые значения: text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc
style Дополнительно Строка Допустимые значения: square, dot, round, diamond, heart
inner_eye_style Дополнительно Строка Допустимые значения: square, dot, rounded, diamond, flower, leaf
outer_eye_style Дополнительно Строка Допустимые значения: square, circle, rounded, flower, leaf
foreground_type Дополнительно Строка Допустимые значения: color, gradient
foreground_color Дополнительно Строка Available when: foreground_type = color
foreground_gradient_style Дополнительно Строка Допустимые значения: vertical, horizontal, diagonal, inverse_diagonal, radial
foreground_gradient_one Дополнительно Строка Available when: foreground_type = gradient
foreground_gradient_two Дополнительно Строка Available when: foreground_type = gradient
background_color Дополнительно Строка
background_color_transparency Дополнительно Целое число
custom_eyes_color Дополнительно Булево значение
eyes_inner_color Дополнительно Строка Available when: custom_eyes_color = 1
eyes_outer_color Дополнительно Строка Available when: custom_eyes_color = 1
qr_code_logo Дополнительно Файл -
qr_code_logo_size Дополнительно Целое число 5-35
qr_code_background Дополнительно Файл -
qr_code_background_transparency Дополнительно Целое число 0-100
frame Дополнительно Строка Допустимые значения: round_bottom_text, round_top_text, tooltip_bottom_text, tooltip_top_text, ribbon_bottom_text, ribbon_top_text, tooltip_snap_top_text, tooltip_snap_bottom_text
frame_text Дополнительно Строка
frame_text_size Дополнительно Целое число -5 - 5
frame_text_font Дополнительно Строка Допустимые значения: times_new_roman, georgia, courier, arial, helvetica, verdana, tahoma, trebuchet_ms, courier_new, lucida_console, monaco, comic_sans_ms, impact
frame_custom_colors Дополнительно Булево значение
frame_color Дополнительно Строка Available when: frame_custom_colors = 1
frame_text_color Дополнительно Строка Available when: frame_custom_colors = 1
size Дополнительно Целое число 50-2000
margin Дополнительно Целое число 0-25
ecc Дополнительно Строка Допустимые значения: L, M, Q, H
text Дополнительно Строка Available when: type = text
url Дополнительно Строка Available when: type = url
phone Дополнительно Строка Available when: type = phone
sms Дополнительно Строка Available when: type = sms
sms_body Дополнительно Строка Available when: type = sms
email Дополнительно Строка Available when: type = email
whatsapp Дополнительно Строка Available when: type = whatsapp
whatsapp_body Дополнительно Строка Available when: type = whatsapp
facetime Дополнительно Строка Available when: type = facetime
location
location_latitude Дополнительно Плавать Available when: type = location
location_longitude Дополнительно Плавать Available when: type = location
wifi
wifi_ssid Дополнительно Строка Available when: type = wifi
wifi_encryption Дополнительно Строка Допустимые значения: nopass, WEP, WPA/WPA2, H (type=wifi)
wifi_password Дополнительно Строка Available when: type = wifi
wifi_is_hidden Дополнительно Булево значение Available when: type = wifi
event Дополнительно Строка Available when: type = event
event_location Дополнительно Строка Available when: type = event
event_url Дополнительно Строка Available when: type = event
event_note Дополнительно Строка Available when: type = event
event_timezone Дополнительно Строка Available when: type = event
event_start_datetime Дополнительно Строка Available when: type = event
event_end_datetime Дополнительно Строка Available when: type = event
crypto
crypto_coin Дополнительно Строка Available when: type = crypto
crypto_address Дополнительно Строка Available when: type = crypto
crypto_amount Дополнительно Строка Available when: type = crypto
vcard
vcard_first_name Дополнительно Строка Available when: type = vcard
vcard_last_name Дополнительно Строка Available when: type = vcard
vcard_company Дополнительно Строка Available when: type = vcard
vcard_phone_number_label[index] Дополнительно Строка Available when: type = vcard
vcard_phone_number_value[index] Дополнительно Строка Available when: type = vcard
vcard_email Дополнительно Строка Available when: type = vcard
vcard_url Дополнительно Строка Available when: type = vcard
vcard_job_title Дополнительно Строка Available when: type = vcard
vcard_birthday Дополнительно Строка Available when: type = vcard
vcard_street Дополнительно Строка Available when: type = vcard
vcard_city Дополнительно Строка Available when: type = vcard
vcard_zip Дополнительно Строка Available when: type = vcard
vcard_region Дополнительно Строка Available when: type = vcard
vcard_country Дополнительно Строка Available when: type = vcard
vcard_note Дополнительно Строка Available when: type = vcard
vcard_social_label[index] Дополнительно Строка Available when: type = vcard
vcard_social_value[index] Дополнительно Строка Available when: type = vcard
paypal
paypal_type Дополнительно Строка Допустимые значения: buy_now, add_to_cart, donation (type=paypal)
paypal_email Дополнительно Строка Available when: type = paypal
paypal_title Дополнительно Строка Available when: type = paypal
paypal_currency Дополнительно Строка Available when: type = paypal
paypal_price Дополнительно Плавать Available when: type = paypal
paypal_thank_you_url Дополнительно Строка Available when: type = paypal
paypal_cancel_url Дополнительно Строка Available when: type = paypal
upi
upi_payee_id Дополнительно Строка Available when: type = upi
upi_payee_name Дополнительно Строка Available when: type = upi
upi_currency Дополнительно Строка Available when: type = upi
upi_amount Дополнительно Плавать Available when: type = upi
upi_transaction_id Дополнительно Строка Available when: type = upi
upi_transaction_note Дополнительно Строка Available when: type = upi
upi_transaction_reference Дополнительно Строка Available when: type = upi
upi_thank_you_url Дополнительно Строка Available when: type = upi
epc
epc_iban Дополнительно Строка Available when: type = epc
epc_payee_name Дополнительно Строка Available when: type = epc
epc_currency Дополнительно Строка Available when: type = epc
epc_amount Дополнительно Плавать Available when: type = epc
epc_bic Дополнительно Строка Available when: type = epc
epc_remittance_reference Дополнительно Строка Available when: type = epc
epc_remittance_text Дополнительно Строка Available when: type = epc
information Дополнительно Строка Available when: type = epc
Параметры Подробности Описание
curl --request POST \
--url 'https://tapo.cc/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{ "data": { "id": 1 } }
POST https://tapo.cc/api/qr-codes/{qr_code_id}
Параметры Подробности Описание
project_id Дополнительно Строка -
name Дополнительно Строка -
type Дополнительно Строка Допустимые значения: text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc
style Дополнительно Строка Допустимые значения: square, dot, round, diamond, heart
inner_eye_style Дополнительно Строка Допустимые значения: square, dot, rounded, diamond, flower, leaf
outer_eye_style Дополнительно Строка Допустимые значения: square, circle, rounded, flower, leaf
foreground_type Дополнительно Строка Допустимые значения: color, gradient
foreground_color Дополнительно Строка Available when: foreground_type = color
foreground_gradient_style Дополнительно Строка Допустимые значения: vertical, horizontal, diagonal, inverse_diagonal, radial
foreground_gradient_one Дополнительно Строка Available when: foreground_type = gradient
foreground_gradient_two Дополнительно Строка Available when: foreground_type = gradient
background_color Дополнительно Строка
background_color_transparency Дополнительно Целое число 0 - 100
custom_eyes_color Дополнительно Булево значение
eyes_inner_color Дополнительно Строка Available when: custom_eyes_color = 1
eyes_outer_color Дополнительно Строка Available when: custom_eyes_color = 1
qr_code_logo Дополнительно Файл -
qr_code_logo_size Дополнительно Целое число 5-35
qr_code_background Дополнительно Файл -
qr_code_background_transparency Дополнительно Целое число 0-100
frame Дополнительно Строка Допустимые значения: round_bottom_text, round_top_text, tooltip_bottom_text, tooltip_top_text, ribbon_bottom_text, ribbon_top_text, tooltip_snap_top_text, tooltip_snap_bottom_text
frame_text Дополнительно Строка
frame_text_size Дополнительно Целое число -5 -> 5
frame_text_font Дополнительно Строка Допустимые значения: times_new_roman, georgia, courier, arial, helvetica, verdana, tahoma, trebuchet_ms, courier_new, lucida_console, monaco, comic_sans_ms, impact
frame_custom_colors Дополнительно Булево значение
frame_color Дополнительно Строка Available when: frame_custom_colors = 1
frame_text_color Дополнительно Строка Available when: frame_custom_colors = 1
size Дополнительно Целое число 50-2000
margin Дополнительно Целое число 0-25
ecc Дополнительно Строка Допустимые значения: L, M, Q, H
text Дополнительно Строка Available when: type = text
url Дополнительно Строка Available when: type = url
phone Дополнительно Строка Available when: type = phone
sms Дополнительно Строка Available when: type = sms
sms_body Дополнительно Строка Available when: type = sms
email Дополнительно Строка Available when: type = email
whatsapp Дополнительно Строка Available when: type = whatsapp
whatsapp_body Дополнительно Строка Available when: type = whatsapp
facetime Дополнительно Строка Available when: type = facetime
location
location_latitude Дополнительно Плавать Available when: type = location
location_longitude Дополнительно Плавать Available when: type = location
wifi
wifi_ssid Дополнительно Строка Available when: type = wifi
wifi_encryption Дополнительно Строка Допустимые значения: nopass, WEP, WPA/WPA2, H (type=wifi)
wifi_password Дополнительно Строка Available when: type = wifi
wifi_is_hidden Дополнительно Булево значение Available when: type = wifi
event Дополнительно Строка Available when: type = event
event_location Дополнительно Строка Available when: type = event
event_url Дополнительно Строка Available when: type = event
event_note Дополнительно Строка Available when: type = event
event_timezone Дополнительно Строка Available when: type = event
event_start_datetime Дополнительно Строка Available when: type = event
event_end_datetime Дополнительно Строка Available when: type = event
crypto
crypto_coin Дополнительно Строка Available when: type = crypto
crypto_address Дополнительно Строка Available when: type = crypto
crypto_amount Дополнительно Строка Available when: type = crypto
vcard
vcard_first_name Дополнительно Строка Available when: type = vcard
vcard_last_name Дополнительно Строка Available when: type = vcard
vcard_company Дополнительно Строка Available when: type = vcard
vcard_phone_number_label[index] Дополнительно Строка Available when: type = vcard
vcard_phone_number_value[index] Дополнительно Строка Available when: type = vcard
vcard_email Дополнительно Строка Available when: type = vcard
vcard_url Дополнительно Строка Available when: type = vcard
vcard_job_title Дополнительно Строка Available when: type = vcard
vcard_birthday Дополнительно Строка Available when: type = vcard
vcard_street Дополнительно Строка Available when: type = vcard
vcard_city Дополнительно Строка Available when: type = vcard
vcard_zip Дополнительно Строка Available when: type = vcard
vcard_region Дополнительно Строка Available when: type = vcard
vcard_country Дополнительно Строка Available when: type = vcard
vcard_note Дополнительно Строка Available when: type = vcard
vcard_social_label[index] Дополнительно Строка Available when: type = vcard
vcard_social_value[index] Дополнительно Строка Available when: type = vcard
paypal
paypal_type Дополнительно Строка Допустимые значения: buy_now, add_to_cart, donation (type=paypal)
paypal_email Дополнительно Строка Available when: type = paypal
paypal_title Дополнительно Строка Available when: type = paypal
paypal_currency Дополнительно Строка Available when: type = paypal
paypal_price Дополнительно Плавать Available when: type = paypal
paypal_thank_you_url Дополнительно Строка Available when: type = paypal
paypal_cancel_url Дополнительно Строка Available when: type = paypal
upi
upi_payee_id Дополнительно Строка Available when: type = upi
upi_payee_name Дополнительно Строка Available when: type = upi
upi_currency Дополнительно Строка Available when: type = upi
upi_amount Дополнительно Плавать Available when: type = upi
upi_transaction_id Дополнительно Строка Available when: type = upi
upi_transaction_note Дополнительно Строка Available when: type = upi
upi_transaction_reference Дополнительно Строка Available when: type = upi
upi_thank_you_url Дополнительно Строка Available when: type = upi
epc
epc_iban Дополнительно Строка Available when: type = epc
epc_payee_name Дополнительно Строка Available when: type = epc
epc_currency Дополнительно Строка Available when: type = epc
epc_amount Дополнительно Плавать Available when: type = epc
epc_bic Дополнительно Строка Available when: type = epc
epc_remittance_reference Дополнительно Строка Available when: type = epc
epc_remittance_text Дополнительно Строка Available when: type = epc
information Дополнительно Строка Available when: type = epc
curl --request POST \
--url 'https://tapo.cc/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{ "data": { "id": 1 } }
DELETE https://tapo.cc/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://tapo.cc/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \